Subsections

- Name
- Synopsys
- Description
- Parameters
- Example
- Errors
- See Also

##
SetRefIns

### Name

SetRefIns - Defines the new "reference instance" for placement

### Synopsys

    SetRefIns ( ins )

### Description

This function defines the new "reference instance", used as starting point in the relative placement functions.
It's regarding the abutmentbox of the instance `ins` that the next instance is going to be placed, if using the appropriate functions.

Note that the more recently placed instance becomes automaticaly the "reference instance", if SetRefIns isn't called.

### Parameters

- `ins` : defines the new "reference instance"

### Example

    Place      ( myInst1, NOSYM, 0, 0 )
    PlaceRight ( myInst2, NOSYM       )

    SetRefIns  ( myInst1 )
    PlaceTop   ( myInst3, SYM_Y       )

`myInst3` is on top of `myInst1` instead of `myInst2`.

### Errors

Some errors may occur :

- `[Stratus ERROR] SetRefIns : the instance doesn't exist.`
  If the instance has not been instanciated, it is impossible do to any placement from it.
- `[Stratus ERROR] SetRefIns : the instance ...is not placed.`
  If the instance has not been placed, it is impossible do to any placement from it.

### See Also

Introduction Place PlaceTop PlaceBottom PlaceRight PlaceLeft DefAb ResizeAb